%global real_name nodejs-packaging
%global name rew-nodejs-packaging

Name:           %{name}
Version:        3
Release:        2%{?dist}
Summary:        RPM Macros and Utilities for Node.js Packaging
BuildArch:      noarch
License:        MIT
URL:            https://fedoraproject.org/wiki/Node.js/Packagers
Source0:        https://fedorahosted.org/released/%{real_name}/%{real_name}-el6-%{version}.tar.xz
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch

#nodejs-devel before 0.10.12 provided these macros and owned /usr/share/node
Requires:       rew-nodejs(engine) >= 0.10.12
Requires:       redhat-rpm-config

# change deps to be prefixed with rew-
Patch1: nodejs-packaging.rew.patch

%description
This package contains RPM macros and other utilities useful for packaging
Node.js modules and applications in RPM-based distributions.

%prep
%setup -qn %{real_name}-el6-%{version}

%patch1 -p1

%build
#nothing to do

%install
install -Dpm0644 macros.nodejs %{buildroot}%{_sysconfdir}/rpm/macros.nodejs
install -Dpm0755 nodejs.prov %{buildroot}%{_rpmconfigdir}/nodejs.prov
install -pm0755 nodejs.req %{buildroot}%{_rpmconfigdir}/nodejs.req
install -pm0755 nodejs-symlink-deps %{buildroot}%{_rpmconfigdir}/nodejs-symlink-deps
install -pm0755 nodejs-fixdep %{buildroot}%{_rpmconfigdir}/nodejs-fixdep
install -Dpm0644 multiver_modules %{buildroot}%{_datadir}/node/multiver_modules

%files
%{_sysconfdir}/rpm/macros.nodejs
%{_rpmconfigdir}/nodejs*
%{_datadir}/node/multiver_modules
%doc LICENSE

%changelog
* Tue Nov 05 2013 Steven Barre <steven@realestatewebmasters.com> - 3-2
- changing names to rew-

* Wed Jul 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 3-1
- dependencies and engines can be lists or strings too
- handle unversioned dependencies on multiply versioned modules correctly
  (RHBZ#982798)
- restrict to compatible arches

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2-1
- move multiple version list to /usr/share/node
- bump nodejs Requires to 0.10.12
- add Requires: redhat-rpm-config

* Thu Jun 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1-1
- initial package
